Skip to main content

Wallet Operations

Wallet operations are account-level transactions — deposits (payins), card issuance fees, transfers, and withdrawals.


List Wallet Operations

Returns all wallet-level transactions for your organization with filtering.

Endpoint

GET /api/v2/organizations/{org_id}/wallets/operations

Query Parameters

ParameterTypeDescription
pageintegerPage number
quantityintegerItems per page
ids[]arrayFilter by transaction IDs
accountIds[]arrayFilter by wallet IDs
types[]arrayFilter by type (see below)
statuses[]arrayFilter by status (see below)
createdAtFromstringISO 8601 start date
createdAtTostringISO 8601 end date
sortBystringcreatedAt
sortTypestringasc or desc

Operation Types

TypeDescription
payinDeposit credited to wallet (from crypto top-up)
card_issuingFee charged for issuing a card
transfer_feeFee charged for balance transfer
withdrawalFunds withdrawn from wallet

Operation Statuses

StatusDescription
authorizedAuthorized, pending settlement
pendingProcessing
completedSettled
declinedDeclined
canceledCanceled

Request

curl "https://api.4pay.cc/api/v2/organizations/{org_id}/wallets/operations?types[]=payin&statuses[]=completed&sortBy=createdAt&sortType=desc" \
-H "Authorization: Bearer YOUR_API_KEY"

Response

200 OK
{
"data": [
{
"id": "f635c1d9-8e9d-6h01-d69g-e964282c24e9",
"account": {
"id": "8f3d0c3d-9f3e-4ef6-8fae-c3169025dfcb",
"name": "Business Wallet"
},
"amount": "1000.00",
"currency": "USD",
"type": "payin",
"status": "completed",
"createdAt": "2025-06-01T10:00:00+00:00"
},
{
"id": "g746d2e0-9f0e-7i12-e70h-f075393d35f0",
"account": {
"id": "8f3d0c3d-9f3e-4ef6-8fae-c3169025dfcb",
"name": "Business Wallet"
},
"amount": "5.00",
"currency": "USD",
"type": "card_issuing",
"status": "completed",
"createdAt": "2025-06-02T12:00:00+00:00"
}
],
"pagination": {
"quantity": 25,
"totalQuantity": 2,
"currentPage": 1,
"pages": 1
}
}

Get Wallet Operation Details

Returns detailed information about a specific wallet transaction.

Endpoint

GET /api/v2/organizations/{org_id}/wallets/operations/{operation_id}

Path Parameters

ParameterTypeRequiredDescription
org_idstringYesYour organization ID
operation_idstringYesTransaction UUID

Request

curl "https://api.4pay.cc/api/v2/organizations/{org_id}/wallets/operations/{operation_id}" \
-H "Authorization: Bearer YOUR_API_KEY"

Response

200 OK
{
"data": {
"id": "f635c1d9-8e9d-6h01-d69g-e964282c24e9",
"account": {
"id": "8f3d0c3d-9f3e-4ef6-8fae-c3169025dfcb",
"name": "Business Wallet"
},
"amount": "1000.00",
"currency": "USD",
"feeAmount": "10.00",
"feeCurrency": "USD",
"settlementAmount": "990.00",
"settlementCurrency": "USD",
"type": "payin",
"status": "completed",
"description": "Crypto top-up",
"createdAt": "2025-06-01T10:00:00+00:00",
"updatedAt": "2025-06-01T10:05:00+00:00"
}
}

Response Fields

FieldTypeDescription
amountstringGross amount of the operation
feeAmountstringFee charged
settlementAmountstringNet amount after fee
typestringOperation type
statusstringCurrent status
descriptionstringHuman-readable description

Difference: Card vs Wallet Operations

Card OperationsWallet Operations
ScopePer-card transactionsAccount-level movements
ExamplesPurchase, refund, feeDeposit, issuance fee, transfer
Endpoint.../instruments/operations.../wallets/operations
Merchant infoYesNo